$(window).on('load', function(){
    //$("input").removeAttr("maxlength");
});

$("#field-taxa_efetiva, #field-cet").inputmask({
  mask: ["9.99", "99.99"],
  keepStatic: true
});


$('body').on('click','.enviarProposta', function(){
   
    $data = {
      id: $(this).data('id')
    };
    
    $erro = function(r)
    {
        alert(r.msg);
    };
    
    get_ajax('email_propostas', retorno =>{
        
        $('#successModal').modal('hide');
        if(retorno.valid == true)
        {
            alert(retorno.msg);//window.location.href
        }
        else
        {
            $erro(r);
        }
        
    }, $erro, $data);
    

    
});


//Callbeck erro ajax
$error = function error(r){console.log(r)};


/*
function get_ajax

$func = nome da funcao no php
$success = funcao Callbeck, exemplo = "retorno =>{alert('deu bom');}"
$error = funcao Callbeck
$data = objeto passado no post ajax
*/
function get_ajax($func, $success, $error, $data = []){
    console.log($data);
    $.ajax({
		url: base_url+"administrativo/ajax/painel_ajax/"+$func, 
		dataType: 'json',
		type: 'POST',
		data: $data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {   
		        $success(retorno);
		    }
		    else
		    {
		        $error(retorno);
		    }
		},
		error: function(error)
		{
		    $error(error);
		}
    });
    
 }